# RTAF Software Center Material Design for Vue.js
Modify Vue material(vue-material) to support our project
<br />
For documentation, you can use [original documents](https://www.creative-tim.com/vuematerial)
<br />

## Documentation
[Documentation & demos](https://www.creative-tim.com/vuematerial)

## Installation and Usage

Install RTAF Software Center Vue Material through npm

``` bash
npm install swc-vue-material --save
```

<small>* Others package managers like JSPM and Bower are not supported yet.</small>

Import or require Vue and Vue Material in your code:

``` javascript
import Vue from 'vue'
import SwcVueMaterial from 'swc-vue-material'
import 'swc-vue-material/dist/swc-vue-material.min.css'

Vue.use(SwcVueMaterial)
```

Or use individual components:

``` javascript
import Vue from 'vue'
import { MdButton, MdContent, MdTabs } from 'swc-vue-material/dist/components'
import 'swc-vue-material/dist/swc-vue-material.min.css'

Vue.use(MdButton)
Vue.use(MdContent)
Vue.use(MdTabs)
```

``` html
<link rel="stylesheet" href="path/to/swc-vue-material.css">
<script src="path/to/swc-vue-material.js"></script>
```

## Changelog

[https://gitlab.rtaf.mi.th/anuphong_th/swc-vue-material/-/blob/master/CHANGELOG.md](https://gitlab.rtaf.mi.th/anuphong_th/swc-vue-material/-/blob/master/CHANGELOG.md)

## Credits and Thanks

Vue Material does not run under the umbrella of any company or anything like that. It is an independent project created by [Marcos Moura](https://www.github.com/marcosmoura) in his spare time, which has become one of the most used UI Libraries for Vue.js. The development is active and we are working hard to release great things for you.

* [Bruno Castro](https://github.com/brunocastro) for the awesome Vue Material Logo.
* Supported by [Creative Tim](https://www.creative-tim.com/?ref=vuematerial.io)
* Original Project from [Marqbeniamin](https://www.npmjs.com/package/vue-material)

## License

MIT
